Package Details: sway-hidpi-git r6660.1a0f86be-1

Git Clone URL: https://aur.archlinux.org/sway-hidpi-git.git (read-only, click to copy)
Package Base: sway-hidpi-git
Description: Tiling Wayland compositor and replacement for the i3 window manager, with XWayland HiDPI (git version)
Upstream URL: https://swaywm.org
Licenses: MIT
Conflicts: sway, sway-git
Provides: sway, sway-git
Submitter: Rucikir
Maintainer: Rucikir
Last Packager: Rucikir
Votes: 10
Popularity: 0.44
First Submitted: 2020-05-02 16:53
Last Updated: 2021-04-12 07:45

Dependencies (25)

Required by (28)

Sources (3)

Pinned Comments

Rucikir commented on 2021-04-25 21:17

Configuration instructions are at swayvm/wlroots: xwayland: hidpi support #2064 .

If you get a invalid checksum on xwayland_hidpi.diff, remember to clean the cache of your AUR helper first.

Latest Comments

Rucikir commented on 2022-01-08 13:57

@wildwestrom User @the_nightman referred the issue they reported in the previous message, not about HiDPI support. I personally enjoy HiDPI support, but with more and more apps supporting Wayland natively, this package will become less relevant.

wildwestrom commented on 2022-01-05 17:06

@the_nightman commented on 2021-12-18 06:15 According to this github issue, it was fixed with this PR.

So is this package relevant anymore? Or should we just use the sway or sway-git package? @Rucikir please comment.

the_nightman commented on 2021-12-18 06:15

According to this github issue, it was fixed with this PR.

the_nightman commented on 2021-12-18 06:12

Won't build, getting wlroots dep version mismatch with latest wlroots-hidpi-git

sway/meson.build:74:1: ERROR: Invalid version of dependency, need 'wlroots' ['<0.16.0'] found '0.16.0'.

Rucikir commented on 2021-09-22 07:57

@ThirstyShark: Configuration instructions are at swayvm/wlroots: xwayland: hidpi support #2064 .

ThirstyShark commented on 2021-09-21 20:09

Does anything need to be configured for this to work? I replaced my sway with this and the hidpi dependencies, but all xwayland apps are just as blurry as before. Or does this package do something else.

I have output eDP-1 scale 1.5 in my sway config, and that's it.

Edit: figured it out. In sway config add xwayland scale 2, then in .Xdefaults put Xft.dpi: 160 or whatever looks nice.

Alex_Bujorianu commented on 2021-09-21 10:16

Does this package work on Manjaro? Pamac gets stuck on “Checking file conflicts…” for some reason. I tried deleting the cache, which didn’t help. Yay reports the following:

error: failed to commit transaction (conflicting files)
libxcvt: /usr/bin/cvt exists in filesystem (owned by xorg-server)
libxcvt: /usr/share/man/man1/cvt.1.gz exists in filesystem (owned by xorg-server)
Errors occurred, no packages were upgraded.
error: target not found: xorgproto-git
error: target not found: scdoc
error: target not found: xorg-util-macros
error: target not found: python-libevdev
error: target not found: xtrans
error: target not found: xorg-font-util
error: target not found: eglexternalplatform
error: target not found: egl-wayland

Rucikir commented on 2021-04-25 21:17

Configuration instructions are at swayvm/wlroots: xwayland: hidpi support #2064 .

If you get a invalid checksum on xwayland_hidpi.diff, remember to clean the cache of your AUR helper first.

maniacata commented on 2020-11-24 07:18

Still the perfect wayland solution for multiple monitors whose DPIs are different.

andreao commented on 2020-05-21 09:17

Man, thank you so much for this one!